<template>
  <div class="header" >
      <div class="title" v-for="(item,index) in waylist"   :key="index" @click="myinfo(item)">
        <div  class="icon">{{index}}</div>
        <div class="left"  >{{item}}></div>
        </div>
  </div>
      
</template>

<script type="text/ecmascript-6">
  import config from '@/config'
  export default {
    data(){
      return{
        
      }
    },

    props:{
        waylist:{
        default(){
          return{
          }
        }
      }
      
    },
    
    methods:{
        myinfo(data){
            console.log('1',data);
            if(data === '到店自取'){
              console.log('左侧跳转');
              this.$emit('way',data);
            }
            if(data === '快递邮寄'){
                 this.$emit('way',data);
                console.log('右侧跳转');
            }
            

        },
       
      
    },

  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" type="text/scss" scoped>
.header{
    .title{
      display: flex;
      padding: 0.2em;
      border: 1px solid #000;
      margin: 0.2rem;
      icon{
          border-radius: 50%;
          border: 1px solid #000;
          margin-right: 0.2rem;
      }
      .right{
       position: absolute;
       right: 0.5rem;
      }
    }
}
  
</style>
